osl::effect_util::SendOffSquare::Table Struct Reference

`#include <sendOffSquare.h>`

## Public Member Functions

void | init ()

## Public Attributes

CArray< Offset, 8 > | normal
CArray< Offset8, 8 > | reverse
CArray< Offset8, 256 > | reverse_all

## Detailed Description

Definition at line 36 of file sendOffSquare.h.

## Member Function Documentation

## init()

void osl::effect_util::SendOffSquare::Table::init | ( |  | ) |

Definition at line 13 of file sendOffSquare.cc.

References osl::BLACK, osl::Offset::dx(), osl::Offset::dy(), osl::KING, osl::newPtypeO(), normal, osl::Ptype_Table, reverse, reverse_all, and osl::misc::BitOp::takeOneBit().

## Member Data Documentation

## normal

CArray<Offset,8> osl::effect_util::SendOffSquare::Table::normal

Definition at line 38 of file sendOffSquare.h.

Referenced by init().

## reverse

CArray<Offset8,8> osl::effect_util::SendOffSquare::Table::reverse

Definition at line 39 of file sendOffSquare.h.

Referenced by init().

## reverse_all

CArray<Offset8,256> osl::effect_util::SendOffSquare::Table::reverse_all

Definition at line 40 of file sendOffSquare.h.

Referenced by init().

The documentation for this struct was generated from the following files:

- sendOffSquare.h
- sendOffSquare.cc